## ruby-rugged 0.23.2+ds1

=== vendor/libgit2/CMakeLists.txt ===
# CMake build script for the libgit2 project
#
# Building (out of source build):
# > mkdir build && cd build
# > cmake .. [-DSETTINGS=VALUE]
# > cmake --build .
#
# Testing:
# > ctest -V
#
# Install:
# > cmake --build . --target install

PROJECT(libgit2 C)
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
CMAKE_POLICY(SET CMP0015 NEW)

# Add find modules to the path
SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules/")

INCLUDE(CheckLibraryExists)
INCLUDE(AddCFlagIfSupported)
INCLUDE(FindPkgConfig)

# Build options
#
OPTION( SONAME				"Set the (SO)VERSION of the target"		ON  )
OPTION( BUILD_SHARED_LIBS	"Build Shared Library (OFF for Static)"	ON  )
OPTION( THREADSAFE			"Build libgit2 as threadsafe"			ON )
OPTION( BUILD_CLAR			"Build Tests using the Clar suite"		ON  )
OPTION( BUILD_EXAMPLES		"Build library usage example apps"		OFF )
OPTION( TAGS				"Generate tags"							OFF )
OPTION( PROFILE				"Generate profiling information"		OFF )
OPTION( ENABLE_TRACE		"Enables tracing support"				OFF )
OPTION( LIBGIT2_FILENAME	"Name of the produced binary"			OFF )

OPTION( USE_ICONV			"Link with and use iconv library" 		OFF )
OPTION( USE_SSH				"Link with libssh to enable SSH support" ON )
OPTION( USE_GSSAPI			"Link with libgssapi for SPNEGO auth"   OFF )
OPTION( VALGRIND			"Configure build for valgrind"			OFF )
OPTION( CURL			"User curl for HTTP if available" ON)

IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
	SET( USE_ICONV ON )
	FIND_PACKAGE(Security)
	FIND_PACKAGE(CoreFoundation REQUIRED)
ENDIF()

IF(MSVC)
	# This option is only available when building with MSVC. By default, libgit2
	# is build using the cdecl calling convention, which is useful if you're
	# writing C. However, the CLR and Win32 API both expect stdcall.
	#
	# If you are writing a CLR program and want to link to libgit2, you'll want
	# to turn this on by invoking CMake with the "-DSTDCALL=ON" argument.
	OPTION( STDCALL			"Build libgit2 with the __stdcall convention"	OFF  )

	# This option must match the settings used in your program, in particular if you
	# are linking statically
	OPTION( STATIC_CRT		"Link the static CRT libraries"	ON  )

	ADD_DEFINITIONS(-D_SCL_SECURE_NO_WARNINGS)
	ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
	ADD_DEFINITIONS(-D_CRT_NONSTDC_NO_DEPRECATE)
ENDIF()


IF(WIN32)
	# By default, libgit2 is built with WinHTTP.  To use the built-in
	# HTTP transport, invoke CMake with the "-DWINHTTP=OFF" argument.
	OPTION(	WINHTTP			"Use Win32 WinHTTP routines"	ON	)
ENDIF()

IF(MSVC)
	# Enable MSVC CRTDBG memory leak reporting when in debug mode.
	OPTION(MSVC_CRTDBG "Enable CRTDBG memory leak reporting" OFF)
ENDIF()

IF (NOT ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
	OPTION( USE_OPENSSL                     "Link with and use openssl library"             ON )
ENDIF()

# This variable will contain the libraries we need to put into
# libgit2.pc's Requires.private. That is, what we're linking to or
# what someone who's statically linking us needs to link to.
SET(LIBGIT2_PC_REQUIRES "")
# This will be set later if we use the system's http-parser library or
# use iconv (OSX) and will be written to the Libs.private field in the
# pc file.
SET(LIBGIT2_PC_LIBS "")

# Installation paths
#
SET(BIN_INSTALL_DIR bin CACHE PATH "Where to install binaries to.")
SET(LIB_INSTALL_DIR lib CACHE PATH "Where to install libraries to.")
SET(INCLUDE_INSTALL_DIR include CACHE PATH "Where to install headers to.")

FUNCTION(TARGET_OS_LIBRARIES target)
	IF(WIN32)
		TARGET_LINK_LIBRARIES(${target} ws2_32)
	ELSEIF(CMAKE_SYSTEM_NAME MATCHES "(Solaris|SunOS)")
		TARGET_LINK_LIBRARIES(${target} socket nsl)
		LIST(APPEND LIBGIT2_PC_LIBS "-lsocket" "-lnsl")
		SET(LIBGIT2_PC_LIBS ${LIBGIT2_PC_LIBS} PARENT_SCOPE)
	ENDIF()
	CHECK_LIBRARY_EXISTS(rt clock_gettime "time.h" NEED_LIBRT)
	IF(NEED_LIBRT)
		TARGET_LINK_LIBRARIES(${target} rt)
		LIST(APPEND LIBGIT2_PC_LIBS "-lrt")
		SET(LIBGIT2_PC_LIBS ${LIBGIT2_PC_LIBS} PARENT_SCOPE)
	ENDIF()

	IF(THREADSAFE)
		TARGET_LINK_LIBRARIES(${target} ${CMAKE_THREAD_LIBS_INIT})
	ENDIF()
ENDFUNCTION()

# For the MSVC IDE, this function splits up the source files like windows
# explorer does. This is esp. useful with the libgit2_clar project, were
# usually 2 or more files share the same name.  Sadly, this file grouping
# is a per-directory option in cmake and not per-target, resulting in
# empty virtual folders "tests" for the git2.dll
FUNCTION(MSVC_SPLIT_SOURCES target)
	IF(MSVC_IDE)
		GET_TARGET_PROPERTY(sources ${target} SOURCES)
		FOREACH(source ${sources})
			IF(source MATCHES ".*/")
				STRING(REPLACE ${CMAKE_CURRENT_SOURCE_DIR}/ "" rel ${source})
				IF(rel)
					STRING(REGEX REPLACE "/([^/]*)$" "" rel ${rel})
					IF(rel)
						STRING(REPLACE "/" "\\\\" rel ${rel})
						SOURCE_GROUP(${rel} FILES ${source})
					ENDIF()
				ENDIF()
			ENDIF()
		ENDFOREACH()
	ENDIF()
ENDFUNCTION()

FILE(STRINGS "include/git2/version.h" GIT2_HEADER REGEX "^#define LIBGIT2_VERSION \"[^\"]*\"$")

STRING(REGEX REPLACE "^.*LIBGIT2_VERSION \"([0-9]+).*$" "\\1" LIBGIT2_VERSION_MAJOR "${GIT2_HEADER}")
STRING(REGEX REPLACE "^.*LIBGIT2_VERSION \"[0-9]+\\.([0-9]+).*$" "\\1" LIBGIT2_VERSION_MINOR  "${GIT2_HEADER}")
STRING(REGEX REPLACE "^.*LIBGIT2_VERSION \"[0-9]+\\.[0-9]+\\.([0-9]+).*$" "\\1" LIBGIT2_VERSION_REV "${GIT2_HEADER}")
SET(LIBGIT2_VERSION_STRING "${LIBGIT2_VERSION_MAJOR}.${LIBGIT2_VERSION_MINOR}.${LIBGIT2_VERSION_REV}")

FILE(STRINGS "include/git2/version.h" GIT2_HEADER_SOVERSION REGEX "^#define LIBGIT2_SOVERSION [0-9]+$")
STRING(REGEX REPLACE "^.*LIBGIT2_SOVERSION ([0-9]+)$" "\\1" LIBGIT2_SOVERSION "${GIT2_HEADER_SOVERSION}")

# Find required dependencies
INCLUDE_DIRECTORIES(src include)

IF (SECURITY_FOUND)
  MESSAGE("-- Found Security ${SECURITY_DIRS}")
  LIST(APPEND LIBGIT2_PC_LIBS "-framework Security")
ENDIF()

IF (COREFOUNDATION_FOUND)
  MESSAGE("-- Found CoreFoundation ${COREFOUNDATION_DIRS}")
  LIST(APPEND LIBGIT2_PC_LIBS "-framework CoreFoundation")
ENDIF()


IF (WIN32 AND WINHTTP)
	ADD_DEFINITIONS(-DGIT_WINHTTP)
	INCLUDE_DIRECTORIES(deps/http-parser)
	FILE(GLOB SRC_HTTP deps/http-parser/*.c deps/http-parser/*.h)

	# Since MinGW does not come with headers or an import library for winhttp,
	# we have to include a private header and generate our own import library
	IF (MINGW)
		FIND_PROGRAM(DLLTOOL dlltool CMAKE_FIND_ROOT_PATH_BOTH)
		IF (NOT DLLTOOL)
			MESSAGE(FATAL_ERROR "Could not find dlltool command")
		ENDIF ()

		SET(LIBWINHTTP_PATH "${CMAKE_CURRENT_BINARY_DIR}/deps/winhttp")
		FILE(MAKE_DIRECTORY ${LIBWINHTTP_PATH})

		IF ("${CMAKE_SIZEOF_VOID_P}" EQUAL "8")
			set(WINHTTP_DEF "${CMAKE_CURRENT_SOURCE_DIR}/deps/winhttp/winhttp64.def")
		ELSE()
			set(WINHTTP_DEF "${CMAKE_CURRENT_SOURCE_DIR}/deps/winhttp/winhttp.def")
		ENDIF()

		ADD_CUSTOM_COMMAND(
			OUTPUT ${LIBWINHTTP_PATH}/libwinhttp.a
			COMMAND ${DLLTOOL} -d ${WINHTTP_DEF} -k -D winhttp.dll -l libwinhttp.a
			DEPENDS ${WINHTTP_DEF}
			WORKING_DIRECTORY ${LIBWINHTTP_PATH}
		)

		SET_SOURCE_FILES_PROPERTIES(
			${CMAKE_CURRENT_SOURCE_DIR}/src/transports/winhttp.c
			PROPERTIES OBJECT_DEPENDS ${LIBWINHTTP_PATH}/libwinhttp.a
		)

		INCLUDE_DIRECTORIES(deps/winhttp)
		LINK_DIRECTORIES(${LIBWINHTTP_PATH})
	ENDIF ()

	LINK_LIBRARIES(winhttp rpcrt4 crypt32)
ELSE ()
	IF (CURL)
		PKG_CHECK_MODULES(CURL libcurl)
	ENDIF ()

	IF (NOT AMIGA AND USE_OPENSSL)
		FIND_PACKAGE(OpenSSL)
	ENDIF ()

	IF (CURL_FOUND)
		ADD_DEFINITIONS(-DGIT_CURL)
		INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIRS})
		LINK_LIBRARIES(${CURL_LIBRARIES})
		LIST(APPEND LIBGIT2_PC_LIBS ${CURL_LDFLAGS})
	ENDIF()

	FIND_PACKAGE(HTTP_Parser)
	IF (HTTP_PARSER_FOUND AND HTTP_PARSER_VERSION_MAJOR EQUAL 2)
		INCLUDE_DIRECTORIES(${HTTP_PARSER_INCLUDE_DIRS})
		LINK_LIBRARIES(${HTTP_PARSER_LIBRARIES})
		LIST(APPEND LIBGIT2_PC_LIBS "-lhttp_parser")
	ELSE()
		MESSAGE(STATUS "http-parser was not found or is too old; using bundled 3rd-party sources.")
		INCLUDE_DIRECTORIES(deps/http-parser)
		FILE(GLOB SRC_HTTP deps/http-parser/*.c deps/http-parser/*.h)
	ENDIF()
ENDIF()

# Specify sha1 implementation
IF (WIN32 AND NOT MINGW AND NOT SHA1_TYPE STREQUAL "builtin")
	ADD_DEFINITIONS(-DWIN32_SHA1)
	FILE(GLOB SRC_SHA1 src/hash/hash_win32.c)
ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
	ADD_DEFINITIONS(-DGIT_COMMON_CRYPTO)
ELSEIF (OPENSSL_FOUND AND NOT SHA1_TYPE STREQUAL "builtin")
	ADD_DEFINITIONS(-DOPENSSL_SHA1)
	IF (CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
		LIST(APPEND LIBGIT2_PC_LIBS "-lssl")
	ELSE()
		SET(LIBGIT2_PC_REQUIRES "${LIBGIT2_PC_REQUIRES} openssl")
	ENDIF ()
ELSE()
	FILE(GLOB SRC_SHA1 src/hash/hash_generic.c)
ENDIF()

# Enable tracing
IF (ENABLE_TRACE STREQUAL "ON")
	ADD_DEFINITIONS(-DGIT_TRACE)
ENDIF()

# Include POSIX regex when it is required
IF(WIN32 OR AMIGA OR CMAKE_SYSTEM_NAME MATCHES "(Solaris|SunOS)")
	INCLUDE_DIRECTORIES(deps/regex)
	SET(SRC_REGEX deps/regex/regex.c)
ENDIF()

# Optional external dependency: zlib
FIND_PACKAGE(ZLIB)
IF (ZLIB_FOUND)
	INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIRS})
	LINK_LIBRARIES(${ZLIB_LIBRARIES})
	IF(APPLE OR CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
		LIST(APPEND LIBGIT2_PC_LIBS "-lz")
	ELSE()
		SET(LIBGIT2_PC_REQUIRES "${LIBGIT2_PC_REQUIRES} zlib")
	ENDIF()
ELSE()
	MESSAGE(STATUS "zlib was not found; using bundled 3rd-party sources." )
	INCLUDE_DIRECTORIES(deps/zlib)
	ADD_DEFINITIONS(-DNO_VIZ -DSTDC -DNO_GZIP)
	FILE(GLOB SRC_ZLIB deps/zlib/*.c deps/zlib/*.h)
ENDIF()

# Optional external dependency: libssh2
IF (USE_SSH)
	PKG_CHECK_MODULES(LIBSSH2 libssh2)
ENDIF()
IF (LIBSSH2_FOUND)
	ADD_DEFINITIONS(-DGIT_SSH)
	INCLUDE_DIRECTORIES(${LIBSSH2_INCLUDE_DIRS})
	LINK_DIRECTORIES(${LIBSSH2_LIBRARY_DIRS})
	LIST(APPEND LIBGIT2_PC_LIBS ${LIBSSH2_LDFLAGS})
	#SET(LIBGIT2_PC_LIBS "${LIBGIT2_PC_LIBS} ${LIBSSH2_LDFLAGS}")
	SET(SSH_LIBRARIES ${LIBSSH2_LIBRARIES})

	CHECK_LIBRARY_EXISTS("${LIBSSH2_LIBRARIES}" libssh2_userauth_publickey_frommemory "${LIBSSH2_LIBRARY_DIRS}" HAVE_LIBSSH2_MEMORY_CREDENTIALS)
	IF (HAVE_LIBSSH2_MEMORY_CREDENTIALS)
		ADD_DEFINITIONS(-DGIT_SSH_MEMORY_CREDENTIALS)
	ENDIF()
ELSE()
	MESSAGE(STATUS "LIBSSH2 not found. Set CMAKE_PREFIX_PATH if it is installed outside of the default search path.")
ENDIF()

# Optional external dependency: libgssapi
IF (USE_GSSAPI)
	FIND_PACKAGE(GSSAPI)
ENDIF()
IF (GSSAPI_FOUND)
	ADD_DEFINITIONS(-DGIT_GSSAPI)
ENDIF()

# Optional external dependency: iconv
IF (USE_ICONV)
	FIND_PACKAGE(Iconv)
ENDIF()
IF (ICONV_FOUND)
	ADD_DEFINITIONS(-DGIT_USE_ICONV)
	INCLUDE_DIRECTORIES(${ICONV_INCLUDE_DIR})
	LIST(APPEND LIBGIT2_PC_LIBS ${ICONV_LIBRARIES})
ENDIF()

# Platform specific compilation flags
IF (MSVC)

	STRING(REPLACE "/Zm1000" " " CMAKE_C_FLAGS "${CMAKE_C_FLAGS}")

	# /GF - String pooling
	# /MP - Parallel build
	SET(CMAKE_C_FLAGS "/GF /MP /nologo ${CMAKE_C_FLAGS}")

	IF (STDCALL)
		# /Gz - stdcall calling convention
		SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /Gz")
	ENDIF ()

	IF (STATIC_CRT)
		SET(CRT_FLAG_DEBUG "/MTd")
		SET(CRT_FLAG_RELEASE "/MT")
	ELSE()
		SET(CRT_FLAG_DEBUG "/MDd")
		SET(CRT_FLAG_RELEASE "/MD")
	ENDIF()

	IF (MSVC_CRTDBG)
		SET(CRT_FLAG_DEBUG "${CRT_FLAG_DEBUG} /DGIT_MSVC_CRTDBG")
		SET(CMAKE_C_STANDARD_LIBRARIES "${CMAKE_C_STANDARD_LIBRARIES}" "Dbghelp.lib")
	ENDIF()

	# /Zi - Create debugging information
	# /Od - Disable optimization
	# /D_DEBUG - #define _DEBUG
	# /MTd - Statically link the multithreaded debug version of the CRT
	# /MDd - Dynamically link the multithreaded debug version of the CRT
	# /RTC1 - Run time checks
	SET(CMAKE_C_FLAGS_DEBUG "/Zi /Od /D_DEBUG /RTC1 ${CRT_FLAG_DEBUG}")

	# /DNDEBUG - Disables asserts
	# /MT - Statically link the multithreaded release version of the CRT
	# /MD - Dynamically link the multithreaded release version of the CRT
	# /O2 - Optimize for speed
	# /Oy - Enable frame pointer omission (FPO) (otherwise CMake will automatically turn it off)
	# /GL - Link time code generation (whole program optimization)
	# /Gy - Function-level linking
	SET(CMAKE_C_FLAGS_RELEASE "/DNDEBUG /O2 /Oy /GL /Gy ${CRT_FLAG_RELEASE}")

	# /Oy- - Disable frame pointer omission (FPO)

## ruby-rugged 0.22.2+ds1

=== debian/changelog ===
ruby-rugged (0.22.2+ds1-1build1) wily; urgency=medium

  * No-change to add ruby2.2 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Sep 2015 13:23:06 +0000

ruby-rugged (0.22.2+ds1-1) unstable; urgency=medium

  * Imported Upstream version 0.22.2+ds1
  * Upload to unstable
  * Add patch to not read the needed version of libgit2 from (removed)
    convenience copy.

 -- Cédric Boutillier <boutil@debian.org>  Mon, 01 Jun 2015 23:04:33 +0200

ruby-rugged (0.21.4+ds1-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #740011)

 -- Cédric Boutillier <boutil@debian.org>  Wed, 22 Apr 2015 15:40:50 +0200

=== debian/control ===
Source: ruby-rugged
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Cédric Boutillier <boutil@debian.org>
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.7.5~), libgit2-dev (>= 0.21~), cmake, pkg-config
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-rugged.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-rugged.git;a=summary
Homepage: http://github.com/libgit2/rugged
XS-Ruby-Versions: all

Package: ruby-rugged
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
# rake-compiler (>= 0, development), minitest (~> 3.0.0, development)
Description: Ruby binding to the libgit2 library
 libgit2 is a portable, pure C implementation of the Git distributed version
 control system core methods provided as a re-entrant linkable library with a
 solid API.
 .
 Rugged is a library for accessing libgit2 in Ruby. It allows one to
 explore and modify Git repositories with the speed and portability of libgit2,
 and the convenience of the Ruby programmation language.

## ruby-rugged 0.23.2+ds1

=== debian/changelog ===
ruby-rugged (0.23.2+ds1-1) unstable; urgency=medium

  * Imported Upstream version 0.23.2+ds1
    + compatible with libgit2-dev v23 in unstable (Closes: #798859)
  * Tighten version of libgit2-dev in debian/control
  * Update fix_header_path.patch accordingly
  * Bump Debhelper compatibility level to 9

 -- Cédric Boutillier <boutil@debian.org>  Mon, 14 Sep 2015 13:39:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Cédric Boutillier <boutil@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.7.5~), libgit2-dev (>= 0.21~), cmake, pkg-config
+Build-Depends: debhelper (>= 9), gem2deb (>= 0.7.5~), libgit2-dev (>= 0.23~), libgit2-dev (<< 0.24~), cmake, pkg-config
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-rugged.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-rugged.git;a=summary
@@ -14,7 +14,6 @@
 Architecture: any
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
-# rake-compiler (>= 0, development), minitest (~> 3.0.0, development)
 Description: Ruby binding to the libgit2 library
  libgit2 is a portable, pure C implementation of the Git distributed version
  control system core methods provided as a re-entrant linkable library with a

=== debian/watch ===
version=3
opts=uversionmangle=s/$/+ds1/ \
http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/rugged .*/rugged-(.*).tar.gz

## ruby-rugged 0.24.0+ds1

=== debian/changelog ===
ruby-rugged (0.24.0+ds1-3) unstable; urgency=medium

  * Team upload.
  * Drop << version retriction on Build-Depends: libgit2-dev (Closes: #863535)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 28 May 2017 12:27:47 -0300

ruby-rugged (0.24.0+ds1-2) unstable; urgency=medium

  * Team upload
  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Wed, 13 Apr 2016 23:32:24 +0530

ruby-rugged (0.24.0+ds1-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Pirate Praveen <praveen@debian.org>  Tue, 12 Apr 2016 00:09:38 +0530

=== debian/control ===
Source: ruby-rugged
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Cédric Boutillier <boutil@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               gem2deb,
               libgit2-dev (>= 0.24~),
               pkg-config
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-rugged.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-rugged.git
Homepage: http://github.com/libgit2/rugged
XS-Ruby-Versions: all

Package: ruby-rugged
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ruby binding to the libgit2 library
 libgit2 is a portable, pure C implementation of the Git distributed version
 control system core methods provided as a re-entrant linkable library with a
 solid API.
 .
 Rugged is a library for accessing libgit2 in Ruby. It allows one to
 explore and modify Git repositories with the speed and portability of libgit2,
 and the convenience of the Ruby programmation language.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby2.0 ruby2.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

export RUGGED_USE_SYSTEM_LIBRARIES=1

%:
	dh $@ --buildsystem=ruby --with ruby

## ruby-rugged 0.26.0

=== debian/changelog ===
ruby-rugged (0.26.0-2build2) bionic; urgency=high

  * No change rebuild against ruby-defaults without ruby2.3 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Mar 2018 09:36:12 +0000

ruby-rugged (0.26.0-2build1) bionic; urgency=medium

  * No-change rebuild for ruby2.5 update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 19:03:04 +0000

ruby-rugged (0.26.0-2) unstable; urgency=medium

  * Team upload
  * Reupload to unstable (Closes: #872853)

 -- Pirate Praveen <praveen@debian.org>  Fri, 29 Sep 2017 11:42:32 +0530

ruby-rugged (0.26.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standard-Version to 4.1.0 

 -- Abhijith PA <abhijith@openmailbox.org>  Tue, 22 Aug 2017 19:25:52 +0530

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: ruby-rugged
 Section: ruby
 Priority: optional
-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Cédric Boutillier <boutil@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                gem2deb,
-               libgit2-dev (>= 0.24~),
+               libgit2-dev (>= 0.26~),
                pkg-config
-Standards-Version: 3.9.7
+Standards-Version: 4.1.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-rugged.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-rugged.git
 Homepage: http://github.com/libgit2/rugged

=== debian/rules ===
#!/usr/bin/make -f

export RUGGED_USE_SYSTEM_LIBRARIES=1
export GEM2DEB_TEST_RUNNER = --check-dependencies

%:
	dh $@ --buildsystem=ruby --with ruby

## ruby-rugged 0.27.4+ds

=== debian/changelog ===
ruby-rugged (0.27.4+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Tue, 21 Aug 2018 17:12:14 +0530

ruby-rugged (0.27.4+ds-1) unstable; urgency=medium

  * New upstream version 0.27.4+ds
  * Mark ruby-rugged as Multi-Arch: same
  * Bump Standards-Version to 4.2.0 (no changes needed)

 -- Cédric Boutillier <boutil@debian.org>  Fri, 17 Aug 2018 04:43:44 +0200

ruby-rugged (0.27.2+ds-1) unstable; urgency=medium

  * New upstream version 0.27.2+ds
  * Builds fine with GCC 8 (Closes: #897853)

 -- Cédric Boutillier <boutil@debian.org>  Mon, 30 Jul 2018 23:16:04 +0200

ruby-rugged (0.27.1+ds-2) unstable; urgency=medium

  * Reupload to unstable 

 -- Pirate Praveen <praveen@debian.org>  Wed, 11 Jul 2018 22:52:59 +0530

ruby-rugged (0.27.1+ds-1) experimental; urgency=medium

  * New upstream version 0.27.1+ds
  * Remove debian/gbp.conf
  * Add repack options (switch to uscan from gbp for repacking)
  * update gemwatch url
  * Add testsuite field

 -- Pirate Praveen <praveen@debian.org>  Tue, 05 Jun 2018 10:39:20 +0530
>>>>>>> master

ruby-rugged (0.27.0-1) experimental; urgency=medium

  * New upstream version 0.27.0
  * Set minimum version of libgit2-dev to 0.27
  * Use salsa.debian.org in Vcs-* fields
  * Bump debhelper compatibility level to 11
  * Bump Standards-Version to 4.1.4 (no changes needed)
  * Add myself as uploader

 -- Pirate Praveen <praveen@debian.org>  Tue, 08 May 2018 10:32:28 +0530

=== debian/control ===
Source: ruby-rugged
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Cédric Boutillier <boutil@debian.org>,
 Pirate Praveen <praveen@debian.org>
Build-Depends: cmake,
               debhelper (>= 11~),
               gem2deb,
               libgit2-dev (>= 0.27~),
               pkg-config
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-rugged.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-rugged
Homepage: https://github.com/libgit2/rugged
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-rugged
Architecture: any
Multi-Arch: same
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ruby binding to the libgit2 library
 libgit2 is a portable, pure C implementation of the Git distributed version
 control system core methods provided as a re-entrant linkable library with a
 solid API.
 .
 Rugged is a library for accessing libgit2 in Ruby. It allows one to
 explore and modify Git repositories with the speed and portability of libgit2,
 and the convenience of the Ruby programmation language.

## ruby-rugged 0.28.3.1+ds

=== debian/changelog ===
ruby-rugged (0.28.3.1+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Abhijith Sheheer <abhijithsheheer@gmail.com>  Sat, 14 Dec 2019 10:19:25 +0530

ruby-rugged (0.28.3.1+ds-1) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Pirate Praveen ]
  * New upstream version 0.28.3.1+ds
  * Bump Standards-Version to 4.4.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Sat, 16 Nov 2019 17:44:46 +0530

ruby-rugged (0.28.1+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Sun, 12 May 2019 21:04:40 +0530

ruby-rugged (0.28.1+ds-1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.28.1+ds
  * d/patches: Update patches for new upstream version
  * d/control: Update the dependencies
  * d/control: Bump standards version to 4.3.0
  * d/changelog: Fix lintian: file-contains-trailing-whitespace
  * d/copyright: Fix lintian: insecure-copyright-format-uri

 -- Jongmin Kim <jmkim@pukyong.ac.kr>  Sun, 12 May 2019 04:58:33 +0900

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: cmake,
                debhelper (>= 11~),
                gem2deb,
-               libgit2-dev (>= 0.27~),
+               libgit2-dev (>= 0.28~),
                pkg-config
-Standards-Version: 4.2.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-rugged.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-rugged
 Homepage: https://github.com/libgit2/rugged

## ruby-rugged 0.28.4.1+ds

=== debian/changelog ===
ruby-rugged (0.28.4.1+ds-1build1) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 26 Feb 2020 17:10:47 +0000

ruby-rugged (0.28.4.1+ds-1) unstable; urgency=medium

  * New upstream version 0.28.4.1+ds
  * Fix package wrt cme
    - Bump Standards-Version to 4.5.0
    - Bump debhelper-compat to 12
  * Drop runtime dependency on ruby-interpreter
  * Add Rules-Requires-Root: no

 -- Utkarsh Gupta <utkarsh@debian.org>  Sun, 16 Feb 2020 02:35:49 +0530

=== debian/control ===
Source: ruby-rugged
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Cédric Boutillier <boutil@debian.org>,
           Pirate Praveen <praveen@debian.org>,
           Utkarsh Gupta <utkarsh@debian.org>
Section: ruby
Testsuite: autopkgtest-pkg-ruby
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               gem2deb,
               libgit2-dev (>= 0.28~),
               pkg-config
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-rugged
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-rugged.git
Homepage: https://github.com/libgit2/rugged
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-rugged
Architecture: any
Multi-Arch: same
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Ruby binding to the libgit2 library
 libgit2 is a portable, pure C implementation of the Git distributed version
 control system core methods provided as a re-entrant linkable library with a
 solid API.
 .
 Rugged is a library for accessing libgit2 in Ruby. It allows one to
 explore and modify Git repositories with the speed and portability of libgit2,
 and the convenience of the Ruby programmation language.

=== debian/watch ===
version=3
opts=\
repacksuffix=+ds,\
repack,compression=xz,\
dversionmangle=s/\+ds// \
https://gemwatch.debian.net/rugged .*/rugged-(.*).tar.gz

## ruby-rugged 1.1.0+ds

=== debian/changelog ===
ruby-rugged (1.1.0+ds-4) unstable; urgency=high

  * Add patch to really prevent network access in tests (Closes: #987650)
    Thanks Olivier Tilloy <olivier.tilloy@canonical.com> for the initial
    patch, adapted here.
  * Remove duplicate build-dependency on gem2deb

 -- Cédric Boutillier <boutil@debian.org>  Tue, 04 May 2021 15:27:51 +0200

ruby-rugged (1.1.0+ds-3) unstable; urgency=medium

  * Enable remote tests only for autopkgtest (Closes: #980258)

 -- Cédric Boutillier <boutil@debian.org>  Wed, 03 Feb 2021 10:09:43 +0100

ruby-rugged (1.1.0+ds-2) unstable; urgency=medium

  * reenable tests
    + build-depend on libgit2-fixtures
    + build-depend on git
    + add patch to fix path for libgit2-fixtures
    + add patch to skip test trying to read global git user name
  * Bump Standards-Version to 4.5.1 (no changes needed)

 -- Cédric Boutillier <boutil@debian.org>  Wed, 06 Jan 2021 00:48:51 +0100

ruby-rugged (1.1.0+ds-1) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * New upstream version 1.1.0+ds
    + Build against libgit2 v1 (Closes: #971565)
  * Tighten dependency on libgit2

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Cédric Boutillier ]
  * New upstream version 1.0.1+ds
  * Use github as the source to fetch tests
  * Use gem install layout
  * Update team name
  * Add .gitattributes to keep unwanted files out of the source package
  * Refresh patches
    + add don't try to build libgit2
  * TODO: skip tests relying on upstream libgit2 fixtures
    - Disable tests temporarily (utkarsh)

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 09 Dec 2020 16:32:45 +0530

=== debian/control ===
Source: ruby-rugged
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Cédric Boutillier <boutil@debian.org>,
           Pirate Praveen <praveen@debian.org>,
           Utkarsh Gupta <utkarsh@debian.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb (>= 1),
               cmake,
               git,
               libgit2-dev (>= 1.1~),
               libgit2-fixtures,
               pkg-config
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-rugged.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-rugged
Homepage: https://github.com/libgit2/rugged
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-rugged
Architecture: any
Multi-Arch: same
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Description: Ruby binding to the libgit2 library
 libgit2 is a portable, pure C implementation of the Git distributed version
 control system core methods provided as a re-entrant linkable library with a
 solid API.
 .
 Rugged is a library for accessing libgit2 in Ruby. It allows one to
 explore and modify Git repositories with the speed and portability of libgit2,
 and the convenience of the Ruby programmation language.

## ruby-rugged 1.2.0+ds

=== debian/changelog ===
ruby-rugged (1.2.0+ds-1ubuntu1) kinetic; urgency=medium

  * d/p/fixture-copy-deeper-level.patch: cherry-picked to fix the tests
    against libgit2 1.3.2 (LP: #1992446)

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 11 Oct 2022 11:54:03 +0200

ruby-rugged (1.2.0+ds-1build1) kinetic; urgency=medium

  * No-change rebuild against libgit2-1.3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 May 2022 23:05:06 +0000

ruby-rugged (1.2.0+ds-1) unstable; urgency=medium

  * New upstream version 1.2.0+ds
  * Refresh patches
  * Skip test/online/*_test.rb

 -- Pirate Praveen <praveen@debian.org>  Mon, 06 Dec 2021 12:03:33 +0530

ruby-rugged (1.1.0+ds-6) unstable; urgency=medium

  * Team upload.
  * d/p/remote_only_for_autopkgtest.patch: skip some autopkgtest tests which
    require connection to Github.

 -- Lucas Kanashiro <kanashiro@debian.org>  Wed, 01 Dec 2021 18:13:01 -0300

ruby-rugged (1.1.0+ds-5) unstable; urgency=medium

  * Skip failing autopkgtest since Github disabled usr/pass git remote access
    (Closes: #992654)
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Add Repository to upstream metadata

 -- Cédric Boutillier <boutil@debian.org>  Mon, 20 Sep 2021 08:30:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ruby-rugged
 Section: ruby
 Priority: optional
-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Cédric Boutillier <boutil@debian.org>,
            Pirate Praveen <praveen@debian.org>,
            Utkarsh Gupta <utkarsh@debian.org>
@@ -12,7 +13,7 @@
                libgit2-dev (>= 1.1~),
                libgit2-fixtures,
                pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-rugged.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-rugged
 Homepage: https://github.com/libgit2/rugged

## ruby-rugged 1.5.0.1+ds

=== debian/changelog ===
ruby-rugged (1.5.0.1+ds-1) unstable; urgency=medium

  * Reupload to unstable

 -- Cédric Boutillier <boutil@debian.org>  Mon, 10 Oct 2022 00:41:48 +0200

ruby-rugged (1.5.0.1+ds-1~exp2) experimental; urgency=medium

  * Refresh patches
  * Add patch skipping tests counting all refs in repo
    (should fix failing build on most architectures)

 -- Cédric Boutillier <boutil@debian.org>  Wed, 05 Oct 2022 23:57:51 +0200

ruby-rugged (1.5.0.1+ds-1~exp1) experimental; urgency=medium

  [ Mohammed Bilal ]
  * d/control : Update min version of libgit2-dev

  [ Cédric Boutillier ]
  * New upstream version 1.5.0.1+ds
    - for libgit2 1.5 (Closes: #1020632)
  * Bump minimal value of libgit2 to 1.5 in build-deps
  * Bump Standards-Version to 4.6.1 (no changes needed)


 -- Cédric Boutillier <boutil@debian.org>  Wed, 05 Oct 2022 14:22:24 +0200

ruby-rugged (1.4.3+ds-1) unstable; urgency=medium

  * New upstream version 1.4.3+ds
  * d/p: Refresh patches

 -- Mohammed Bilal <mdbilal@disroot.org>  Tue, 10 May 2022 23:07:06 +0530

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ruby-rugged
 Section: ruby
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Cédric Boutillier <boutil@debian.org>,
            Pirate Praveen <praveen@debian.org>,
            Utkarsh Gupta <utkarsh@debian.org>
@@ -10,10 +9,10 @@
                gem2deb (>= 1),
                cmake,
                git,
-               libgit2-dev (>= 1.1~),
+               libgit2-dev (>= 1.5~),
                libgit2-fixtures,
                pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-rugged.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-rugged
 Homepage: https://github.com/libgit2/rugged

## ruby-rugged 1.5.1%2Bds

=== debian/control ===
--- 
+++ 
@@ -11,19 +11,17 @@
                git,
                libgit2-dev (>= 1.5~),
                libgit2-fixtures,
-               pkg-config
-Standards-Version: 4.6.1
+               pkg-config,
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-rugged.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-rugged
 Homepage: https://github.com/libgit2/rugged
 Testsuite: autopkgtest-pkg-ruby
-XS-Ruby-Versions: all
 Rules-Requires-Root: no
 
 Package: ruby-rugged
 Architecture: any
 Multi-Arch: same
-XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${misc:Depends},
          ${ruby:Depends},
          ${shlibs:Depends}

## ruby-rugged 1.5.1+ds

=== debian/changelog ===
ruby-rugged (1.5.1+ds-1) unstable; urgency=medium

  * New upstream version 1.5.1+ds
  * Drop X?-Ruby-Versions fields from d/control
  * Use the rake method to run tests
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Cédric Boutillier <boutil@debian.org>  Mon, 06 Feb 2023 22:43:26 +0100

=== debian/rules ===
#!/usr/bin/make -f

export RUGGED_USE_SYSTEM_LIBRARIES=1
export GEM2DEB_TEST_RUNNER = --check-dependencies
export DH_RUBY = --gem-install

%:
	dh $@ --buildsystem=ruby --with ruby

## ruby-rugged 1.7.1+ds

=== debian/changelog ===
ruby-rugged (1.7.1+ds-1build2) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 03:57:44 -0300

ruby-rugged (1.7.1+ds-1build1) noble; urgency=medium

  * No-change upload to add support for ruby3.2.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 02 Feb 2024 03:19:18 -0300

ruby-rugged (1.7.1+ds-1) unstable; urgency=medium

  * reupload to unstable

 -- Cédric Boutillier <boutil@debian.org>  Mon, 11 Dec 2023 21:26:18 +0100

ruby-rugged (1.7.1+ds-1~exp1) experimental; urgency=medium

  * New upstream version 1.7.1+ds
    + supports libgit2 1.7.1 (Closes: #1051876)
  * Build against libgit2 >= 1.7
  * Ignore dont-try-to-build-libgit2.patch for now
  * Refresh fix_header_path.patch, hard code version of libgit2
  * Update years in copyright file

 -- Cédric Boutillier <boutil@debian.org>  Wed, 20 Sep 2023 16:40:51 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                gem2deb (>= 1),
                cmake,
                git,
-               libgit2-dev (>= 1.5~),
+               libgit2-dev (>= 1.7~),
                libgit2-fixtures,
                pkg-config,
 Standards-Version: 4.6.2

## ruby-rugged 1.7.2+ds

=== debian/changelog ===
ruby-rugged (1.7.2+ds-1) unstable; urgency=medium

  * New upstream version 1.7.2+ds
    + no changes in the code
  * Build-depend on pkgconf instead of deprecated pkg-config

 -- Cédric Boutillier <boutil@debian.org>  Mon, 22 Jul 2024 00:31:06 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                git,
                libgit2-dev (>= 1.7~),
                libgit2-fixtures,
-               pkg-config,
+               pkgconf,
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-rugged.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-rugged

## ruby-rugged 1.9.0+ds

=== debian/changelog ===
ruby-rugged (1.9.0+ds-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release

  [ Simon Quigley ]
  * Add patch to fix build with libgit2 1.9

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Apr 2025 16:01:25 -0400

ruby-rugged (1.7.2+ds-3) unstable; urgency=medium

  * Build against libgit 1.8.2+ and drop skip_test_each_line_patch_header.patch
  * Indicate in previous changelog entry that bug #1081285 is closed by that
    upload

 -- Cédric Boutillier <boutil@debian.org>  Sun, 03 Nov 2024 17:50:50 +0100

ruby-rugged (1.7.2+ds-2) unstable; urgency=medium

  * Skip temporarily a test revealing a bug in libgit2 1.8.2~rc1
  * build against libgit2-dev 1.8.x (Closes: #1084369, #1081285)
  * Bump Standards-Version to 4.7.0 (no changes needed)

 -- Cédric Boutillier <boutil@debian.org>  Thu, 31 Oct 2024 11:50:43 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                gem2deb (>= 1),
                cmake,
                git,
-               libgit2-dev (>= 1.7~),
+               libgit2-dev (>= 1.8.2),
                libgit2-fixtures,
                pkgconf,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-rugged.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-rugged
 Homepage: https://github.com/libgit2/rugged

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rugged-$1.tar.gz%, repacksuffix=+ds, repack,compression=xz, dversionmangle=s/\+ds//" \
https://github.com/libgit2/rugged/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
